- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Types | Protected Member Functions | Properties

# QAbstractSlider Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qabstractslider.h.

`#include <qabstractslider.h>`

Inheritance diagram for QAbstractSlider:
[legend]

List of all members.

## Public Types
enum | SliderAction { SliderNoAction, SliderSingleStepAdd, SliderSingleStepSub, SliderPageStepAdd, SliderPageStepSub, SliderToMinimum, SliderToMaximum, SliderMove }
## Public Slots
void | setValue (int)
void | setOrientation (Qt::Orientation)
## Signals
void | valueChanged (int value)
void | sliderPressed ()
void | sliderMoved (int position)
void | sliderReleased ()
void | rangeChanged (int min, int max)
void | actionTriggered (int action)
## Public Member Functions
| QAbstractSlider (QWidget *parent=0)
| ~QAbstractSlider ()
Qt::Orientation | orientation () const
void | setMinimum (int)
int | minimum () const
void | setMaximum (int)
int | maximum () const
void | setRange (int min, int max)
void | setSingleStep (int)
int | singleStep () const
void | setPageStep (int)
int | pageStep () const
void | setTracking (bool enable)
bool | hasTracking () const
void | setSliderDown (bool)
bool | isSliderDown () const
void | setSliderPosition (int)
int | sliderPosition () const
void | setInvertedAppearance (bool)
bool | invertedAppearance () const
void | setInvertedControls (bool)
bool | invertedControls () const
int | value () const
void | triggerAction (SliderAction action)
## Protected Types
enum | SliderChange { SliderRangeChange, SliderOrientationChange, SliderStepsChange, SliderValueChange }
## Protected Member Functions
bool | event (QEvent *e)
void | setRepeatAction (SliderAction action, int thresholdTime=500, int repeatTime=50)
SliderAction | repeatAction () const
virtual void | sliderChange (SliderChange change)
void | keyPressEvent (QKeyEvent *ev)
void | timerEvent (QTimerEvent *)
void | wheelEvent (QWheelEvent *e)
void | changeEvent (QEvent *e)
| QAbstractSlider (QAbstractSliderPrivate &dd, QWidget *parent=0)
## Properties
int | minimum
int | maximum
int | singleStep
int | pageStep
int | value
int | sliderPosition
bool | tracking
Qt::Orientation | orientation
bool | invertedAppearance
bool | invertedControls
bool | sliderDown

## Member Enumeration Documentation

enum SliderAction

Search for all occurrences

Enumerator:

  SliderNoAction | Search for all occurrences
  SliderSingleStepAdd | Search for all occurrences
  SliderSingleStepSub | Search for all occurrences
  SliderPageStepAdd | Search for all occurrences
  SliderPageStepSub | Search for all occurrences
  SliderToMinimum | Search for all occurrences
  SliderToMaximum | Search for all occurrences
  SliderMove | Search for all occurrences

Definition at line 106 of file qabstractslider.h.

                          {
            SliderNoAction,
            SliderSingleStepAdd,
            SliderSingleStepSub,
            SliderPageStepAdd,
            SliderPageStepSub,
            SliderToMinimum,
            SliderToMaximum,
            SliderMove
        };

enum SliderChange `[protected]`

Search for all occurrences

Enumerator:

  SliderRangeChange | Search for all occurrences
  SliderOrientationChange | Search for all occurrences
  SliderStepsChange | Search for all occurrences
  SliderValueChange | Search for all occurrences

Definition at line 142 of file qabstractslider.h.

                          {
            SliderRangeChange,
            SliderOrientationChange,
            SliderStepsChange,
            SliderValueChange
        };

## Constructor & Destructor Documentation

QAbstractSlider | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QAbstractSlider | ( |  | ) |

QAbstractSlider | ( | QAbstractSliderPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void setMinimum | ( | int |  | ) |

Search for all occurrences

int minimum | ( |  | ) | const

Search for all occurrences

void setMaximum | ( | int |  | ) |

Search for all occurrences

int maximum | ( |  | ) | const

Search for all occurrences

void setRange | ( | int | min,
|  | int | max
| ) |  |

Search for all occurrences

void setSingleStep | ( | int |  | ) |

Search for all occurrences

int singleStep | ( |  | ) | const

Search for all occurrences

void setPageStep | ( | int |  | ) |

Search for all occurrences

int pageStep | ( |  | ) | const

Search for all occurrences

void setTracking | ( | bool | enable | ) |

Search for all occurrences

bool hasTracking | ( |  | ) | const

Search for all occurrences

void setSliderDown | ( | bool |  | ) |

Search for all occurrences

bool isSliderDown | ( |  | ) | const

Search for all occurrences

void setSliderPosition | ( | int |  | ) |

Search for all occurrences

int sliderPosition | ( |  | ) | const

Search for all occurrences

void setInvertedAppearance | ( | bool |  | ) |

Search for all occurrences

bool invertedAppearance | ( |  | ) | const

Search for all occurrences

void setInvertedControls | ( | bool |  | ) |

Search for all occurrences

bool invertedControls | ( |  | ) | const

Search for all occurrences

int value | ( |  | ) | const

Search for all occurrences

void triggerAction | ( | SliderAction | action | ) |

Search for all occurrences

void setValue | ( | int |  | ) | `[slot]`

Search for all occurrences

void setOrientation | ( | Qt::Orientation |  | ) | `[slot]`

Search for all occurrences

void valueChanged | ( | int | value | ) | `[signal]`

Search for all occurrences

void sliderPressed | ( |  | ) | `[signal]`

Search for all occurrences

void sliderMoved | ( | int | position | ) | `[signal]`

Search for all occurrences

void sliderReleased | ( |  | ) | `[signal]`

Search for all occurrences

void rangeChanged | ( | int | min,
|  | int | max
| ) |  | `[signal]`

Search for all occurrences

void actionTriggered | ( | int | action | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QDial, QScrollBar, and QSlider.

void setRepeatAction | ( | SliderAction | action,
|  | int | thresholdTime = `500`,
|  | int | repeatTime = `50`
| ) |  | `[protected]`

Search for all occurrences

SliderAction repeatAction | ( |  | ) | const `[protected]`

Search for all occurrences

virtual void sliderChange | ( | SliderChange | change | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QDial, and QScrollBar.

void keyPressEvent | ( | QKeyEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void timerEvent | ( | QTimerEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void wheelEvent | ( | QWheelEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

## Property Documentation

int minimum `[read, write]`

Search for all occurrences

Definition at line 59 of file qabstractslider.h.

int maximum `[read, write]`

Search for all occurrences

Definition at line 60 of file qabstractslider.h.

int singleStep `[read, write]`

Search for all occurrences

Definition at line 61 of file qabstractslider.h.

int pageStep `[read, write]`

Search for all occurrences

Definition at line 62 of file qabstractslider.h.

int value `[read, write]`

Search for all occurrences

Definition at line 63 of file qabstractslider.h.

int sliderPosition `[read, write]`

Search for all occurrences

Definition at line 64 of file qabstractslider.h.

bool tracking `[read, write]`

Search for all occurrences

Definition at line 65 of file qabstractslider.h.

Qt::Orientation orientation `[read, write]`

Search for all occurrences

Definition at line 66 of file qabstractslider.h.

bool invertedAppearance `[read, write]`

Search for all occurrences

Definition at line 67 of file qabstractslider.h.

bool invertedControls `[read, write]`

Search for all occurrences

Definition at line 68 of file qabstractslider.h.

bool sliderDown `[read, write]`

Search for all occurrences

Definition at line 69 of file qabstractslider.h.

The documentation for this class was generated from the following file:

- QtGui/qabstractslider.h

QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider
QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider QAbstractSlider